Skip to content
IForevents Docs
IForevents Docs
HomeDashboardGitHubPrivacyTermsSecurityIntroduction
Support and SLA

Paginated tracked users

GET
/v1/analytics/users

Authorization

AuthorizationBearer <token>

Session token issued by the accounts service (or the legacy /v1/auth routes).

In: header

Query Parameters

start?string

Range start (RFC 3339); defaults to 30 days ago.

Formatdate-time
end?string

Range end (RFC 3339); defaults to now.

Formatdate-time
q?string

Case-insensitive match on name, email or custom_id, or an exact uuid

limit?integer
Range1 <= value <= 1000
Default100
offset?integer
Range0 <= value
Default0

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/v1/analytics/users"
{  "page": {    "items": [      {        "created_at": "2026-09-13T12:30:45Z",        "custom_id": "user_12345",        "email": "[email protected]",        "events_count": 42,        "name": "Ada Lovelace",        "project_uuid": "5f1c2e7a-1c2d-4b3e-9f10-1a2b3c4d5e6f",        "properties": {          "plan": "pro"        },        "updated_at": "2026-09-13T12:30:45Z",        "uuid": "00000000-0000-0000-8b20-15635fadf462"      }    ],    "limit": 100,    "offset": 0,    "total": 1  },  "users": [    {      "created_at": "2026-09-13T12:30:45Z",      "custom_id": "user_12345",      "email": "[email protected]",      "events_count": 42,      "name": "Ada Lovelace",      "project_uuid": "5f1c2e7a-1c2d-4b3e-9f10-1a2b3c4d5e6f",      "properties": {        "plan": "pro"      },      "updated_at": "2026-09-13T12:30:45Z",      "uuid": "00000000-0000-0000-8b20-15635fadf462"    }  ]}